BizKitHub
DocsAPI ReferenceTime Tracker/bff/time-tracker/write
postTime TrackerAdmin BFF

/bff/time-tracker/write

Logs work by day and minutes, with optional project link and billing fields. Snapshots the rate at create time.

TimeTrackerpostBffTime-trackerWrite

Parameters

JSON body

Request body

application/json
workDatestringRequired

ISO date (YYYY-MM-DD) the work is booked into.

minutesnumberRequired

Total minutes for this entry (1–1440).

memberIdnumberOptional

Defaults to the authenticated member.

projectIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
clientNotestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
billablebooleanOptional
writeOffbooleanOptional
writeOffReasonstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/time-tracker/write

post
curl -X POST "https://api.bizkithub.com/bff/time-tracker/write" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "workDate": "example_workDate",
  "minutes": 0,
  "memberId": 0,
  "billable": false,
  "writeOff": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key